Your PHP version is too old, please upgrade to a newer version. Your version is 5.4.45-1~dotdeb+6.1, Simple Tags requires 5.0.0. Remove the plugin from WordPress plugins directory with FTP client.